<!DOCTYPE HTML>
<html>

<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>

<body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
  <script>
    var Todo = Backbone.Model.extend({
      // Default todo attribute values
      defaults: {
        title: '',
        completed: false
      },
      initialize: function() {
        console.log('This model has been initialized.');
        this.on('change:title', function() {
          console.log('Title value for this model has changed.');
        });
      },
      setTitle: function(newTitle) {
        this.set({
          title: newTitle
        });
      },
      settoggleComplete: function() {
        this.set({
          completed: !this.get('completed')
        });
      }
      // function setComplete de thay doi field
      // completed. Yeu cau neu hien tai la false thi se doi sang true
      // neu hien tai la true thi doi sang false
    });
    var myTodo = new Todo();

    myTodo.set('completed', true);
    myTodo.setTitle("Hello there");
    myTodo.settoggleComplete();
    console.log(myTodo.get('completed'));

  </script>
</body>

</html>
